import { Component, ViewEncapsulation, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class NtTabsBarItemComponent {
}
NtTabsBarItemComponent.decorators = [
    { type: Component, args: [{
                selector: 'nt-tabs-bar-item, [nt-tabs-bar-item]',
                template: '<ng-content></ng-content>',
                encapsulation: ViewEncapsulation.None,
                host: {
                    'class': 'nt-tabs-bar-item'
                }
            },] }
];

class NtTabsBarComponent {
}
NtTabsBarComponent.decorators = [
    { type: Component, args: [{
                selector: 'nt-tabs-bar',
                template: '<ng-content></ng-content>',
                encapsulation: ViewEncapsulation.None,
                host: {
                    'class': 'nt-tabs-bar'
                }
            },] }
];

const EXPORT_DECLARATIONS = [
    NtTabsBarItemComponent,
    NtTabsBarComponent,
];
class NtTabsBarModule {
}
NtTabsBarModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                exports: EXPORT_DECLARATIONS,
                declarations: EXPORT_DECLARATIONS,
            },] }
];

export { NtTabsBarComponent, NtTabsBarItemComponent, NtTabsBarModule };
//# sourceMappingURL=tabs-bar.js.map
