import { Portal } from '@angular/cdk/portal';
import { AfterContentChecked, AfterContentInit, AfterViewInit, ChangeDetectorRef, IterableDiffers, OnChanges, OnInit, QueryList, SimpleChanges, TemplateRef, ViewContainerRef } from '@angular/core';
import { NtActionDefDirective } from './reactive-action-item.directive';
export declare class NtReactiveActionBarComponent implements OnInit, OnChanges, AfterViewInit, AfterContentInit, AfterContentChecked {
    private _differs;
    private _changeDetectorRef;
    private _viewContainerRef;
    private _columns;
    get columns(): number;
    set columns(value: number);
    private _rows;
    get rows(): number;
    set rows(value: number);
    rowOverflow: boolean;
    _dropdownContent: TemplateRef<unknown>;
    _itemDefs: QueryList<NtActionDefDirective>;
    _dropdownActionItems: NtActionDefDirective[];
    _dropdownPortal: Portal<any>;
    _normalItems: NtActionDefDirective[];
    constructor(_differs: IterableDiffers, _changeDetectorRef: ChangeDetectorRef, _viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    ngAfterContentChecked(): void;
    renderItems(): void;
    private calculateRenderItemRows;
}
