import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { NtPanelModule } from '@ng-tangram/pro/panel';

import { DashboardComponent } from './dashboard.component';

const routes: Routes = [
  { path: '', component: DashboardComponent }
];

@NgModule({
  declarations: [DashboardComponent],
  imports: [
    CommonModule,
    NtPanelModule,
    RouterModule.forChild(routes)
  ]
})
export class DashboardModule { }
