(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@angular/cdk/coercion')) :
    typeof define === 'function' && define.amd ? define('@ng-tangram/pro/action-bar', ['exports', '@angular/common', '@angular/core', '@angular/cdk/coercion'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.nt = global.nt || {}, global.nt.pro = global.nt.pro || {}, global.nt.pro.actionBar = {}), global.ng.common, global.ng.core, global.ng.cdk.coercion));
}(this, (function (exports, common, core, coercion) { 'use strict';

    var NtActionBarComponent = /** @class */ (function () {
        function NtActionBarComponent() {
        }
        return NtActionBarComponent;
    }());
    NtActionBarComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-action-bar',
                    template: '<ng-content></ng-content>',
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-action-bar'
                    }
                },] }
    ];

    var NtActionButtonComponent = /** @class */ (function () {
        function NtActionButtonComponent() {
            this._circle = false;
        }
        Object.defineProperty(NtActionButtonComponent.prototype, "circle", {
            get: function () { return this._circle; },
            set: function (value) {
                this._circle = coercion.coerceBooleanProperty(value);
            },
            enumerable: false,
            configurable: true
        });
        return NtActionButtonComponent;
    }());
    NtActionButtonComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-action-button',
                    template: '<ng-content></ng-content>',
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-action-button',
                        '[class.circle]': 'circle'
                    }
                },] }
    ];
    NtActionButtonComponent.propDecorators = {
        circle: [{ type: core.Input }]
    };

    var NtActionIconComponent = /** @class */ (function () {
        function NtActionIconComponent() {
        }
        return NtActionIconComponent;
    }());
    NtActionIconComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-action-icon',
                    template: '<ng-content></ng-content>',
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-action-icon'
                    }
                },] }
    ];

    var NtActionItemComponent = /** @class */ (function () {
        function NtActionItemComponent() {
        }
        return NtActionItemComponent;
    }());
    NtActionItemComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-action-item',
                    template: '<ng-content></ng-content>',
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-action-item'
                    }
                },] }
    ];

    var EXPORT_DECLARATIONS = [
        NtActionBarComponent,
        NtActionItemComponent,
        NtActionButtonComponent,
        NtActionIconComponent
    ];
    var NtActionBarModule = /** @class */ (function () {
        function NtActionBarModule() {
        }
        return NtActionBarModule;
    }());
    NtActionBarModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    exports: EXPORT_DECLARATIONS,
                    declarations: EXPORT_DECLARATIONS,
                },] }
    ];

    exports.NtActionBarComponent = NtActionBarComponent;
    exports.NtActionBarModule = NtActionBarModule;
    exports.NtActionButtonComponent = NtActionButtonComponent;
    exports.NtActionIconComponent = NtActionIconComponent;
    exports.NtActionItemComponent = NtActionItemComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=action-bar.umd.js.map
