(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@angular/cdk/coercion')) :
    typeof define === 'function' && define.amd ? define('@ng-tangram/pro/panel', ['exports', '@angular/common', '@angular/core', '@angular/cdk/coercion'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.nt = global.nt || {}, global.nt.pro = global.nt.pro || {}, global.nt.pro.containers = {}), global.ng.common, global.ng.core, global.ng.cdk.coercion));
}(this, (function (exports, common, core, coercion) { 'use strict';

    var NtPanelBodyComponent = /** @class */ (function () {
        function NtPanelBodyComponent() {
        }
        return NtPanelBodyComponent;
    }());
    NtPanelBodyComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-panel-body, [nt-panel-body]',
                    template: '<ng-content></ng-content>',
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-panel-body'
                    }
                },] }
    ];

    var NtPanelFooterComponent = /** @class */ (function () {
        function NtPanelFooterComponent() {
        }
        Object.defineProperty(NtPanelFooterComponent.prototype, "small", {
            get: function () { return this._small; },
            set: function (value) {
                this._small = coercion.coerceBooleanProperty(value);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(NtPanelFooterComponent.prototype, "large", {
            get: function () { return this._large; },
            set: function (value) {
                this._large = coercion.coerceBooleanProperty(value);
            },
            enumerable: false,
            configurable: true
        });
        return NtPanelFooterComponent;
    }());
    NtPanelFooterComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-panel-footer, [nt-panel-footer]',
                    template: '<ng-content></ng-content>',
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-panel-footer',
                        '[class.small]': 'small',
                        '[class.large]': 'large'
                    }
                },] }
    ];
    NtPanelFooterComponent.propDecorators = {
        small: [{ type: core.Input }],
        large: [{ type: core.Input }]
    };

    var NtPanelHeaderComponent = /** @class */ (function () {
        function NtPanelHeaderComponent() {
        }
        Object.defineProperty(NtPanelHeaderComponent.prototype, "small", {
            get: function () { return this._small; },
            set: function (value) {
                this._small = coercion.coerceBooleanProperty(value);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(NtPanelHeaderComponent.prototype, "large", {
            get: function () { return this._large; },
            set: function (value) {
                this._large = coercion.coerceBooleanProperty(value);
            },
            enumerable: false,
            configurable: true
        });
        return NtPanelHeaderComponent;
    }());
    NtPanelHeaderComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-panel-header, [nt-panel-header]',
                    template: '<ng-content></ng-content>',
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-panel-header',
                        '[class.small]': 'small',
                        '[class.large]': 'large'
                    }
                },] }
    ];
    NtPanelHeaderComponent.propDecorators = {
        small: [{ type: core.Input }],
        large: [{ type: core.Input }]
    };

    var NtPanelWrapperComponent = /** @class */ (function () {
        function NtPanelWrapperComponent() {
        }
        return NtPanelWrapperComponent;
    }());
    NtPanelWrapperComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-panel-wrapper, [nt-panel-wrapper]',
                    template: "<ng-content select=\"nt-panel\"></ng-content>",
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-panel-wrapper'
                    }
                },] }
    ];

    var NtPanelComponent = /** @class */ (function () {
        function NtPanelComponent() {
            this._shrink = false;
            this._flexable = true;
        }
        Object.defineProperty(NtPanelComponent.prototype, "shrink", {
            get: function () { return this._shrink; },
            set: function (value) {
                this._shrink = coercion.coerceBooleanProperty(value);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(NtPanelComponent.prototype, "flexable", {
            get: function () { return this._flexable; },
            set: function (value) {
                this._flexable = coercion.coerceBooleanProperty(value);
            },
            enumerable: false,
            configurable: true
        });
        return NtPanelComponent;
    }());
    NtPanelComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-panel, [nt-panel]',
                    template: "\n    <ng-content select=\"nt-panel-header\"></ng-content>\n    <ng-content select=\"nt-panel-body\"></ng-content>\n    <ng-content select=\"nt-panel-footer\"></ng-content>\n  ",
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-panel',
                        '[class.nt-panel-shrink]': 'shrink',
                        '[class.nt-panel-flexable]': 'flexable',
                    }
                },] }
    ];
    NtPanelComponent.propDecorators = {
        shrink: [{ type: core.Input }],
        flexable: [{ type: core.Input }]
    };

    var EXPORT_DECLARATIONS = [
        NtPanelBodyComponent,
        NtPanelFooterComponent,
        NtPanelHeaderComponent,
        NtPanelWrapperComponent,
        NtPanelComponent
    ];
    var NtPanelModule = /** @class */ (function () {
        function NtPanelModule() {
        }
        return NtPanelModule;
    }());
    NtPanelModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    exports: EXPORT_DECLARATIONS,
                    declarations: EXPORT_DECLARATIONS,
                },] }
    ];

    exports.NtPanelBodyComponent = NtPanelBodyComponent;
    exports.NtPanelComponent = NtPanelComponent;
    exports.NtPanelFooterComponent = NtPanelFooterComponent;
    exports.NtPanelHeaderComponent = NtPanelHeaderComponent;
    exports.NtPanelModule = NtPanelModule;
    exports.NtPanelWrapperComponent = NtPanelWrapperComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=containers.umd.js.map
