(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/cdk/coercion'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('@ng-tangram/pro/skeleton', ['exports', '@angular/cdk/coercion', '@angular/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.nt = global.nt || {}, global.nt.pro = global.nt.pro || {}, global.nt.pro.skeleton = {}), global.ng.cdk.coercion, global.ng.core));
}(this, (function (exports, coercion, core) { 'use strict';

    var NtSkeletonComponent = /** @class */ (function () {
        function NtSkeletonComponent() {
            this._circle = false;
            this._inline = false;
        }
        Object.defineProperty(NtSkeletonComponent.prototype, "circle", {
            get: function () { return this._circle; },
            set: function (value) {
                if (value !== this.circle) {
                    this._circle = coercion.coerceBooleanProperty(value);
                }
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(NtSkeletonComponent.prototype, "inline", {
            get: function () { return this._inline; },
            set: function (value) {
                if (value !== this.inline) {
                    this._inline = coercion.coerceBooleanProperty(value);
                }
            },
            enumerable: false,
            configurable: true
        });
        return NtSkeletonComponent;
    }());
    NtSkeletonComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'nt-skeleton, [nt-skeleton]',
                    template: '<ng-content></ng-content>',
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'nt-skeleton',
                        '[class.circle]': 'circle',
                        '[class.inline]': 'inline',
                    }
                },] }
    ];
    NtSkeletonComponent.propDecorators = {
        circle: [{ type: core.Input }],
        inline: [{ type: core.Input }]
    };

    var NtSkeletonModule = /** @class */ (function () {
        function NtSkeletonModule() {
        }
        return NtSkeletonModule;
    }());
    NtSkeletonModule.decorators = [
        { type: core.NgModule, args: [{
                    exports: [NtSkeletonComponent],
                    declarations: [NtSkeletonComponent]
                },] }
    ];

    exports.NtSkeletonComponent = NtSkeletonComponent;
    exports.NtSkeletonModule = NtSkeletonModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=skeleton.umd.js.map
