import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { NtDropdownModule } from '@ng-tangram/components/dropdown';
import { NtSliderModule } from '@ng-tangram/components/slider';
import { NtSwitchModule } from '@ng-tangram/components/switch';
import { NgxsModule } from '@ngxs/store';

import { CustomizationComponent } from './customization.component';
import { UIState } from './user-interface.state';

@NgModule({
  imports: [
    CommonModule,
    NtSwitchModule,
    NtSliderModule,
    NtDropdownModule,
    NgxsModule.forFeature([UIState])
  ],
  exports: [CustomizationComponent],
  declarations: [CustomizationComponent]
})
export class CustomizationModule { }
